# -*- coding: utf-8 -*-
# Generated by Harry 1.0 on 2018-11-16 00:23
from __future__ import unicode_literals

from django.db import migrations


def forward_add_root_item(apps, schema_editor):
    link_model = apps.get_model('aristotle_mdr_links', 'Link')
    for link in link_model.objects.all():
        first_le = link.linkend_set.order_by('created').select_related('concept').first()
        if first_le:
            link.root_item = first_le.concept
            link.save()
        else:
            # If the link has no ends we can just delete it
            link.delete()


def backward_add_root_item(apps, schema_editor):
    print('Root items will be lost')


class Migration(migrations.Migration):

    dependencies = [
        ('aristotle_mdr_links', '0006_link_root_item'),
    ]

    operations = [
        migrations.RunPython(forward_add_root_item, backward_add_root_item),
    ]
