# -*- coding: utf-8 -*-
# Generated by Django 1.11.15 on 2018-10-31 00:34
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('aristotle_mdr', '0045__concept_superseded_by_items'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ReviewComment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('body', models.TextField()),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['created'],
            },
        ),
        migrations.CreateModel(
            name='ReviewRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('message', models.TextField(blank=True, help_text='An optional message accompanying a request, this will accompany the approved registration status', null=True)),
                ('status', models.IntegerField(choices=[(0, 'Submitted'), (5, 'Cancelled'), (10, 'Accepted'), (15, 'Rejected')], default=0, help_text='Status of a review')),
                ('state', models.IntegerField(choices=[(0, 'Not Progressed'), (1, 'Incomplete'), (2, 'Candidate'), (3, 'Recorded'), (4, 'Qualified'), (5, 'Standard'), (6, 'Preferred Standard'), (7, 'Superseded'), (8, 'Retired')], help_text='The state at which a user wishes a metadata item to be endorsed')),
                ('registration_date', models.DateField(help_text='date and time you want the metadata to be registered from', verbose_name='Date registration effective')),
                ('due_date', models.DateField(help_text='Date and time a response is required', null=True, verbose_name='Date registration required')),
                ('cascade_registration', models.IntegerField(choices=[(0, 'No'), (1, 'Yes')], default=0, help_text='Update the registration of associated items')),
                ('concepts', models.ManyToManyField(related_name='rr_review_requests', to='aristotle_mdr._concept')),
                ('registration_authority', models.ForeignKey(help_text='The registration authority the requester wishes to endorse the metadata item', on_delete=django.db.models.deletion.CASCADE, related_name='rr_requested_reviews', to='aristotle_mdr.RegistrationAuthority')),
                ('requester', models.ForeignKey(help_text='The user requesting a review', on_delete=django.db.models.deletion.CASCADE, related_name='rr_requested_reviews', to=settings.AUTH_USER_MODEL)),
                ('workgroup', models.ForeignKey(help_text='A workgroup associated with this review', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rr_workgroup_reviews', to='aristotle_mdr.Workgroup')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='reviewcomment',
            name='request',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comments', to='aristotle_mdr_review_requests.ReviewRequest'),
        ),
    ]
