# -*- coding: utf-8 -*-
# Generated by Django 1.11.12 on 2018-05-02 06:17
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion

def add_through(apps, schema_editor):

    ded = apps.get_model('aristotle_mdr', 'DataElementDerivation')
    ded_derives_through = apps.get_model('aristotle_mdr', 'DedDerivesThrough')
    ded_inputs_through = apps.get_model('aristotle_mdr', 'DedInputsThrough')

    for ded_obj in ded.objects.all():
        count = 0
        for through_obj in ded.derives.through.objects.filter(dataelementderivation=ded_obj):
            ded_derives_through.objects.create(
                data_element_derivation=ded_obj,
                data_element=through_obj.dataelement,
                order=count
            )
            count += 1

        count = 0
        for through_obj in ded.inputs.through.objects.filter(dataelementderivation=ded_obj):
            ded_inputs_through.objects.create(
                data_element_derivation=ded_obj,
                data_element=through_obj.dataelement,
                order=count
            )
            count += 1

def add_through_reverse(apps, schema_editor):

    try:
        ded = apps.get_model('aristotle_mdr', 'DataElementDerivation')
        ded_derives_through = apps.get_model('aristotle_mdr', 'DedDerivesThrough')
        ded_inputs_through = apps.get_model('aristotle_mdr', 'DedInputsThrough')
    except LookupError:
        pass

    new_derives_through = ded.derives.through
    new_inputs_through = ded.inputs.through

    for through_obj in ded_derives_through.objects.all():
        new_derives_through.objects.create(
            dataelementderivation=through_obj.data_element_derivation,
            dataelement=through_obj.data_element
        )

    for through_obj in ded_inputs_through.objects.all():
        new_inputs_through.objects.create(
            dataelementderivation=through_obj.data_element_derivation,
            dataelement=through_obj.data_element
        )

class Migration(migrations.Migration):

    dependencies = [
        ('aristotle_mdr', '0026_auto_20180411_2323'),
    ]

    operations = [
        migrations.CreateModel(
            name='DedDerivesThrough',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveSmallIntegerField(verbose_name='Position')),
            ],
            options={
                'ordering': ['order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DedInputsThrough',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveSmallIntegerField(verbose_name='Position')),
            ],
            options={
                'ordering': ['order'],
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='dedinputsthrough',
            name='data_element_derivation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.DataElementDerivation'),
        ),
        migrations.AddField(
            model_name='dedinputsthrough',
            name='data_element',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.DataElement'),
        ),
        migrations.AddField(
            model_name='dedderivesthrough',
            name='data_element_derivation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.DataElementDerivation'),
        ),
        migrations.AddField(
            model_name='dedderivesthrough',
            name='data_element',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.DataElement'),
        ),
        migrations.RunPython(add_through, add_through_reverse)
    ]
