# -*- coding: utf-8 -*-
# Generated by Django 1.11.12 on 2018-08-27 03:50
from __future__ import unicode_literals

import aristotle_mdr.fields
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields


def move_to_new(apps, schema_migration):
    _concept = apps.get_model('aristotle_mdr', '_concept')
    SupersedeRelationship = apps.get_model('aristotle_mdr', 'SupersedeRelationship')
    from aristotle_mdr.models import STATES

    items = _concept.objects.all().prefetch_related('statuses')
    for item in items:
        if item.superseded_by:
            for state in item.statuses.all():
                if state.state == STATES.superseded:
                    SupersedeRelationship.objects.update_or_create(
                        older_item = item,
                        newer_item = item.superseded_by,
                        registration_authority = state.registrationAuthority
                    )


def move_to_old(apps, schema_migration):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('aristotle_mdr', '0042_remove_possumprofile_favourites'),
    ]

    operations = [
        migrations.CreateModel(
            name='SupersedeRelationship',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('message', models.TextField(blank=True, null=True)),
                ('date_effective', models.DateField(blank=True, help_text='The date the superseding relationship became effective.', null=True, verbose_name='Date effective')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='supersederelationship',
            name='newer_item',
            field=aristotle_mdr.fields.ConceptForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='superseded_items_relation_set', to='aristotle_mdr._concept'),
        ),
        migrations.AddField(
            model_name='supersederelationship',
            name='older_item',
            field=aristotle_mdr.fields.ConceptForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='superseded_by_items_relation_set', to='aristotle_mdr._concept'),
        ),
        migrations.AddField(
            model_name='supersederelationship',
            name='registration_authority',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.RegistrationAuthority'),
        ),
        migrations.RunPython(move_to_new, move_to_old),
    ]
