# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2018-12-12 02:07
from __future__ import unicode_literals

import autoslug.fields
import ckeditor_uploader.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid

from aristotle_mdr.utils.migrations import (
    classproperty,
    StewardMigration,
    DBOnlySQL
)


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('aristotle_mdr', '0046_auto_20181107_0433'),
    ]

    @classproperty
    def operations(cls):
        return [
            # https://stackoverflow.com/questions/28429933/django-migrations-using-runpython-to-commit-changes
            DBOnlySQL('SET CONSTRAINTS ALL IMMEDIATE', reverse_sql=migrations.RunSQL.noop, vendor='postgresql'),
            migrations.CreateModel(
                name='StewardOrganisation',
                fields=[
                    ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                    ('slug', autoslug.fields.AutoSlugField(editable=True, populate_from='name', unique=True)),
                    ('name', models.TextField(help_text='The primary name used for human identification purposes.')),
                    ('uuid', models.UUIDField(default=uuid.uuid1, editable=False, unique=True)),
                    ('description', ckeditor_uploader.fields.RichTextUploadingField(help_text='Representation of a concept by a descriptive statement which serves to differentiate it from related concepts. (3.2.39)', verbose_name='definition')),
                    ('state', models.CharField(choices=[('active', 'Active'), ('archived', 'Archived'), ('hidden', 'Hidden')], default='active', help_text='Status of this group', max_length=128)),
                ],
                options={
                    'verbose_name': 'Steward Organisation',
                },
            ),
            migrations.CreateModel(
                name='StewardOrganisationMembership',
                fields=[
                    ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                    ('role', models.CharField(choices=[('admin', 'Admin'), ('steward', 'Steward'), ('member', 'Member')], help_text='Role within this group', max_length=128)),
                    ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='members', to='aristotle_mdr.StewardOrganisation', to_field='uuid')),
                    ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ],
                options={
                    'abstract': False,
                },
            ),

            migrations.AddField(
                model_name='_concept',
                name='stewardship_organisation',
                field=models.ForeignKey(null=True, blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='metadata', to='aristotle_mdr.StewardOrganisation', to_field='uuid'),
                preserve_default=False,
            ),

            migrations.AddField(
                model_name='registrationauthority',
                name='stewardship_organisation',
                field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.StewardOrganisation', to_field='uuid'),
                preserve_default=False,
            ),
            migrations.AddField(
                model_name='workgroup',
                name='stewardship_organisation',
                field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='aristotle_mdr.StewardOrganisation', to_field='uuid'),
                preserve_default=False,
            ),
            migrations.AlterUniqueTogether(
                name='stewardorganisationmembership',
                unique_together=set([('user', 'group')]),
            ),
            migrations.AddField(
                model_name='measure',
                name='stewardship_organisation',
                field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='managed_items', to='aristotle_mdr.StewardOrganisation', to_field='uuid'),
                preserve_default=False,
            ),
            DBOnlySQL('SET CONSTRAINTS ALL IMMEDIATE', reverse_sql=migrations.RunSQL.noop, vendor='postgresql'),
        ]
