# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-03-13 08:47
from __future__ import unicode_literals

from django.db import migrations



def move_to_new(apps, schema_migration):
    Workgroup = apps.get_model('aristotle_mdr', 'Workgroup')
    WorkgroupMembership = apps.get_model('aristotle_mdr', 'WorkgroupMembership')

    wgs = Workgroup.objects.all() #.prefetch_related('statuses')
    for wg in wgs:
        wg.save()  # Force slug creation
        for viewer in wg.viewers.all():
            WorkgroupMembership.objects.update_or_create(
                user=viewer,
                group=wg,
                defaults={"role": 'viewer'}
            )
        for u in wg.submitters.all():
            WorkgroupMembership.objects.update_or_create(
                user=u,
                group=wg,
                defaults={"role": 'submitter'}
            )
        for u in wg.stewards.all():
            WorkgroupMembership.objects.update_or_create(
                user=u,
                group=wg,
                defaults={"role": 'steward'}
            )
        for u in wg.managers.all():
            WorkgroupMembership.objects.update_or_create(
                user=u,
                group=wg,
                defaults={"role": 'manager'}
            )


class Migration(migrations.Migration):

    dependencies = [
        ('aristotle_mdr', '0054_auto_20190313_1944'),
    ]

    operations = [
        migrations.RunPython(move_to_new, migrations.RunPython.noop),
    ]
